<?php
namespace Controller\Log;

use Util\Environment;
use Zeedhi\ZhuLog\Controller\ZhuLog;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\FilterCriteria;

class Log extends ZhuLog {

    protected $environment;

    public function __construct(Manager $dataSourceManager, Environment $environment) {
        parent::__construct($dataSourceManager);
        $this->environment = $environment;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $filterCriteria = $request->getFilterCriteria();

        $userDataCondition = '%"organizationId":'.$this->environment->getOrganizationId().'%';
        $filterCriteria->addCondition('USER_DATA', FilterCriteria::LIKE, $userDataCondition);

        parent::find($request, $response);
    }

}