/******************************************************************************/
/*                                                                            */
/* Trigger: SINCRONIZA_PRODMODPROD                                            */
/* Tabela : PRODMODPROD -> PRODMODFILI                                        */
/*                                                                            */
/* Atualiza os dados da tabela PRODMODPROD com a tabela PRODMODFILI           */
/*                                                                            */
/* Criao:                                                                   */
/* 06/08/2009 - Fleas                                                        */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER SINCRONIZA_PRODMODPROD
AFTER INSERT
ON PRODMODPROD FOR EACH ROW
BEGIN
   IF INSERTING THEN
      INSERT INTO PRODMODFILI
         (CDMODULOPROD, CDPRODUTO, CDFILIAL)
         (SELECT :NEW.CDMODULOPROD, :NEW.CDPRODUTO, CDFILIAL
            FROM MODULOFILI MF
           WHERE MF.CDMODULOPROD = :NEW.CDMODULOPROD
             AND NOT EXISTS (SELECT CDMODULOPROD, CDPRODUTO, CDFILIAL
                               FROM PRODMODFILI PMF
                              WHERE PMF.CDMODULOPROD = MF.CDMODULOPROD
                                AND PMF.CDFILIAL     = MF.CDFILIAL
                                AND PMF.CDPRODUTO    = :NEW.CDPRODUTO));
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('SINCRONIZA_PRODMODPROD','5.07.015'); END;
/