import { Http } from "@zeedhi/core";

export class Filter {

    public static filterLoadTabs() {
        const dados = {
            'row': {
            },
            'origin': {
                "containerLabel": "Dashboard principal",
                "widgetLabel": "Dashboard",
            },
            "requestType": "Row"
        };
        return Http.post("/dashboard/buildMainDashboards", dados);
    }

    public static dashboardFilter(name : any) {
        const dadosRow = {
            "row":
            {
                "name": name,
                "isViewPreview": null,
            },
            "origin": {
                "containerLabel": "Dashboard principal",
                "widgetLabel": name,
            },
            "requestType": "Row"
        };
        return Http.post("/view/getGenericDashboardsViews", dadosRow);
    }

    public static filterGetLastImportationDates(dashboardIndicatorsIds: any, name: any) {
        const lastImportationDate = {
            "row": {
                "indicatorIds": dashboardIndicatorsIds
            },
            "origin": {
                "containerLabel": "Dashboard principal",
                "widgetLabel": name
            },
            "requestType": "Row"
        };
        return Http.post("/importHistory/getLastImportationDates", lastImportationDate);
    }

    public static filterBuildWidgetByViewIdNext(period: any, _id : any) {
        const row = {
            "row": {
                "drillDownFilters": {},
                "period": period,
                "serieColors": 0,
                "structureId": "",
                "structureName": "",
                "viewId": _id
            },
            "requestType": "Row"
        };
        return Http.post("/buildWidgetByViewIdNext", row);
    }

    public static filterGetStructureByUser() {
        const dados = {
            "disableLoader": false,
            'filter': [
                {
                    "name": "fullAccessProfiles",
                    "operator": "="
                }
            ],
            "itemsPerPage": 500,
            "origin": {
                "containerLabel": "Dashboard principal",
                "containerName": "mainDashboard",
                "widgetLabel": "Filtro",
                "widgetName": "filterWidget"
            },
            "page": 1,
            "requestType": "FilterData"
        };
        return Http.post("/getStructureByUser", dados);
    }
}
